Package org.apache.tomcat.util.net

# Interface SSLContext

All Known Implementing Classes:
  `OpenSSLContext`

public interface SSLContext
This interface is needed to override the default SSLContext class to allow SSL implementation pluggability without having to use JCE. With regular JSSE it will do nothing but delegate to the SSLContext.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SSLEngine`
  `createSSLEngine()`
  `void`
  `destroy()`
  `X509Certificate[]`
  `getAcceptedIssuers()`
  `X509Certificate[]`
  `getCertificateChain(String alias)`
  `SSLSessionContext`
  `getServerSessionContext()`
  `SSLServerSocketFactory`
  `getServerSocketFactory()`
  `SSLParameters`
  `getSupportedSSLParameters()`
  `void`
  `init(KeyManager[] kms, TrustManager[] tms, SecureRandom sr)`

- ## Method Details

  - ### init

    void init(KeyManager[] kms, TrustManager[] tms, SecureRandom sr) throws KeyManagementException
    Throws:
      `KeyManagementException`

  - ### destroy

    void destroy()

  - ### getServerSessionContext

    SSLSessionContext getServerSessionContext()

  - ### createSSLEngine

    SSLEngine createSSLEngine()

  - ### getServerSocketFactory

    SSLServerSocketFactory getServerSocketFactory()

  - ### getSupportedSSLParameters

    SSLParameters getSupportedSSLParameters()

  - ### getCertificateChain

    X509Certificate[] getCertificateChain(String alias)

  - ### getAcceptedIssuers

    X509Certificate[] getAcceptedIssuers()